Skip to main content
GET
Get Return

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Headers

x-companyid
string

The Company-Id (int or uuid) of the company on whose behalf the request is executed.

x-tenant-id
string<uuid>
required

The tenant ID for the target ERP instance.

Path Parameters

returnId
string<uuid>
required

The ID of the return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

Response

Returns the return for the given ID.

Model Class: Return

id
string<uuid>
required

Unique ID to identify a return.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

number
string
required

The number of the return.

returnDate
string<date-time>
required

The date when the return was created.

customerId
string<uuid>
required

The customer ID.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

externalNumber
string
required

An arbitrary external reference number for identifying the return, provided only during creation and cannot be changed afterward.

origin
enum<integer>
required

Indicates the origin of the return, specifying where or how the return was initiated.

Available options:
0,
1,
2,
3,
4,
5,
6,
7
companyId
string<uuid>
required

The company of the corresponding sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

salesOrderId
string<uuid>
required

The id of the sales order if the return has exactly on corresponding sales order.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

stateId
string<uuid>
required

The id of the return state.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

warehouseId
string<uuid>
required

Id of the Warehouse.

Example:

"b45f6432-2462-4c6f-b00f-1d9d01000000"

externalComment
string
required

The external comment of the sales order.

internalComment
string
required

The internal comment of the sales order.

contact
string
required

The contact of the return.

transmitToSalesChannel
boolean
required

Indicates whether the return should be transmitted to the sales channel (e.g. SCX or Amazon).